{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Mess bill - reports
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <form method="POST" class="form-horizontal" id="pdf_form"
                      action="{% url 'custom_mess_bill_pdf' %}">{% csrf_token %}
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                            duration</label>

                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <select id="select_duration" class="form-control" name="selected_duration">
                                {% for duration in all_durations %}

                                    {{ duration.pk }}{{ mess_bill_inst.duration.pk }}
                                    {% if duration.pk == mess_bill_inst.duration.pk %}
                                        <option selected="selected"
                                                value="{{ duration.pk }}">{{ duration }}</option>
                                    {% else %}
                                        <option value="{{ duration.pk }}">{{ duration }}</option>
                                    {% endif %}
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label" for="id_department">Department</label>

                        <div class="col-md-5 col-sm-6 col-xs-12">

                            {% for dept in all_departments %}
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <input type="checkbox" value={{ dept.pk }} name="checked_departments" checked
                                           id="id_department"> {{ dept.acronym }}
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                               for="id_year">Year</label>

                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="1" name="checked_year" checked id="id_year"> I Year
                            </div>
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="2" name="checked_year" checked id="id_year"> II Year
                            </div>
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="3" name="checked_year" checked id="id_year"> III Year
                            </div>
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="4" name="checked_year" checked id="id_year"> IV Year
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                               for="id_gender">Gender</label>

                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="M" name="checked_gender" checked id="id_gender"> Boys
                            </div>
                            <div class="col-md-3 col-sm-4 col-xs-12">
                                <input type="checkbox" value="F" name="checked_gender" checked id="id_gender"> Girls
                            </div>
                        </div>
                    </div>


                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                        <button type="submit" class="btn brn-lg btn-success"
                                value="Save" name="mess_bill_pdf">Generate Pdf
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>

{% endblock %}

